#include <iostream>
using namespace std;

int main()
{

    string t;
    cin>>t;
    int duzina = t.size();
    int minimalni=t.size()-1;
    int maksimalni=0;

    for(int i=0; i< duzina/2; i++){
        int d = duzina-i-1;
        while (i < d){
            if (t[i] == t[d]){
                break;
            }
            else{
                d--;
            }
        }
        for (int j=d; j < duzina-i-1; j++) {
            swap(t[j], t[j+1]);
            if(j<minimalni){
            minimalni=j;}
            if(j+1>maksimalni){
                maksimalni=j+1;
            }
        }
    }

    if(maksimalni>minimalni){
        cout<<maksimalni-minimalni+1;
    }
    else{
        cout<<1;
    }

    return 0;
}